petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionGetFieldOffset

Return the offset into an array or local Vec for the dof associated with the given point.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt *offset)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field

### Output Parameter

offset -the offset

### See Also

PetscSectionGetOffset(), PetscSectionCreate()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages